Uses of Interface
org.apache.juneau.marshall.httppart.HttpPartParser
Packages that use HttpPartParser
Package
Description
HTTP Part Beans
HTTP Part Marshalling Support
OpenAPI Marshalling Support
UON Marshalling Support
URL-Encoding Marshalling Support
REST Client API
REST Server API
-
Uses of HttpPartParser in org.apache.juneau.httppart.bean
Methods in org.apache.juneau.httppart.bean that return types with arguments of type HttpPartParserModifier and TypeMethodDescriptionResponseBeanPropertyMeta.getParser()Returns the parser to use for parsing the bean property value. -
Uses of HttpPartParser in org.apache.juneau.marshall.httppart
Subinterfaces of HttpPartParser in org.apache.juneau.marshall.httppartModifier and TypeInterfaceDescriptionstatic interfaceRepresent "no" part parser.Classes in org.apache.juneau.marshall.httppart that implement HttpPartParserModifier and TypeClassDescriptionclassBase class for implementations ofHttpPartParserclassAn implementation ofHttpPartParserthat takes in the strings and tries to convert them to POJOs using constructors and static create methods.Method parameters in org.apache.juneau.marshall.httppart with type arguments of type HttpPartParserModifier and TypeMethodDescriptionHttpPartParser.Creator.type(Class<? extends HttpPartParser> value) -
Uses of HttpPartParser in org.apache.juneau.marshall.oapi
Classes in org.apache.juneau.marshall.oapi that implement HttpPartParser -
Uses of HttpPartParser in org.apache.juneau.marshall.uon
Classes in org.apache.juneau.marshall.uon that implement HttpPartParserModifier and TypeClassDescriptionclassParses UON (a notation for URL-encoded query parameter values) text into POJO models.static classDefault parser, decoding. -
Uses of HttpPartParser in org.apache.juneau.marshall.urlencoding
Classes in org.apache.juneau.marshall.urlencoding that implement HttpPartParserModifier and TypeClassDescriptionclassParses URL-encoded text into POJO models. -
Uses of HttpPartParser in org.apache.juneau.rest.client.classic
Fields in org.apache.juneau.rest.client.classic declared as HttpPartParserMethods in org.apache.juneau.rest.client.classic that return HttpPartParserModifier and TypeMethodDescriptionprotected HttpPartParserRestClient.getPartParser()Returns the part parser associated with this client.protected HttpPartParserRestClient.getPartParser(Class<? extends HttpPartParser> c) Returns the part parser instance of the specified type.Methods in org.apache.juneau.rest.client.classic with parameters of type HttpPartParserModifier and TypeMethodDescriptionprotected HttpPartParserSessionRestResponse.getPartParserSession(HttpPartParser parser) Creates a session of the specified part parser.RestClient.Builder.partParser(HttpPartParser value) Part parser.Method parameters in org.apache.juneau.rest.client.classic with type arguments of type HttpPartParserModifier and TypeMethodDescriptionprotected HttpPartParserRestClient.getPartParser(Class<? extends HttpPartParser> c) Returns the part parser instance of the specified type.RestClient.Builder.partParser(Class<? extends HttpPartParser> value) Part parser. -
Uses of HttpPartParser in org.apache.juneau.rest.server
Methods in org.apache.juneau.rest.server that return HttpPartParserModifier and TypeMethodDescriptionRestContext.getPartParser()Returns the HTTP-part parser associated with this resource.RestOpContext.getPartParser()Bean property getter:partParser .Method parameters in org.apache.juneau.rest.server with type arguments of type HttpPartParserModifier and TypeMethodDescriptionAbstractRestBuilder.partParser(Class<? extends HttpPartParser> value) ChildAnnotation.Builder.partParser(Class<? extends HttpPartParser> value) Sets theChild.partParser()property on this annotation.MixinAnnotation.Builder.partParser(Class<? extends HttpPartParser> value) Sets theMixin.partParser()property on this annotation.RestAnnotation.Builder.partParser(Class<? extends HttpPartParser> value) Sets theRest.partParser()property on this annotation.RestBuilder.partParser(Class<? extends HttpPartParser> value) Specifies thepartParserfor this resource.